### Property

# Soup Message:is-options-ping

since: 3.0

#### Declaration

    property is-options-ping: gboolean [ read, write ]

#### Description [src]

Whether the message is an OPTIONS ping.

The `SoupMessage` is intended to be used to send `OPTIONS *` to a server. When set to `TRUE`, the path of `SoupMessage:uri` will be ignored and `SoupMessage:method` set to `SOUP_METHOD_OPTIONS`.

Type: | `gboolean`
Available since: | 3.0

Default value | FALSE
Getter method | `soup_message_get_is_options_ping()`
Setter method | `soup_message_set_is_options_ping()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no